from collections import defaultdict

from replayparsing import *
from replayfolder import *

os.environ['DJANGO_SETTINGS_MODULE'] = 'replay.settings'

from utilities.WorkerCounter import *
from utilities.WinsAgainstLeagueCounter import *
from utilities.ReplayCruncher import *

from stats.models import WorkersCreated

from account.models import BattleNetAccount
from account.models import BattleNetTeamAccount

#collection = ReplayCollection("/home/replays/uploaded",limit=1)

from pprint import pprint


folder = ReplayFolder("/home/replays/uploaded/")

winstats = defaultdict(int)

cruncher = ReplayCruncher()

for replayFile in folder.replayFiles:
    try:
        replay = Replay(replayFile)
        if not replay.valid:
            continue

        print "Crunching",replayFile

        cruncher.crunch_replay(None,replay.hash)
    except Exception, e:
        print "Some kind of exception"
        print e.__doc__
        print e.message
        continue
