from collections import defaultdict

class WorkerCounter:
    def __init__(self):
        pass

    def worker_stats(self,replay):
        result = []

        workers_created = defaultdict(int)

        for event in replay.trackerEvents:
            if event.get('_event', '') == 'NNet.Replay.Tracker.SUnitBornEvent':
                born_unit = event['m_unitTypeName']
                if born_unit in ['SCV', 'Drone', 'Probe']:
                    workers_created[replay.getBNetID(event['m_controlPlayerId'])] += 1

        return workers_created
        
