from collections import defaultdict
import json
import os
from s2protocol.s2protocol import *
from s2protocol.protocol26490 import *


replay_folder = "C:/Users/Christian/Documents/StarCraft II/Accounts/486076/2-S2-1-891100/Replays/Multiplayer"
filelist = os.listdir(replay_folder)
newest = max(filelist, key=lambda x: os.stat(os.path.join(replay_folder,x)).st_mtime)
print os.path.join(replay_folder,newest)

replay_file = os.path.join(replay_folder,newest)

archive = mpyq.MPQArchive(replay_file)
	
logger = EventLogger()

# Read the protocol header, this can be read with any protocol
contents = archive.header['user_data_header']['content']
header = protocol15405.decode_replay_header(contents)

# The header's baseBuild determines which protocol to use
baseBuild = header['m_version']['m_baseBuild']

for player in [1,2]:
	contents = archive.read_file('replay.tracker.events')
	for event in decode_replay_tracker_events(contents):
		print event