from collections import defaultdict
import json
import os
import sys
import MySQLdb as mdb

sys.path.append("../")

from s2protocol.s2protocol import *
from s2protocol.protocol26490 import *
from replay.replay import *

replay = Replay("C:\\Users\\Christian\\Documents\\GitHub\\BuildOrderTightness\\Akilon Wastes (23).SC2Replay")
replay_file = replay.replayfile

archive = mpyq.MPQArchive(replay_file)
	
logger = EventLogger()

# Read the protocol header, this can be read with any protocol
contents = archive.header['user_data_header']['content']
header = protocol15405.decode_replay_header(contents)

# The header's baseBuild determines which protocol to use
baseBuild = header['m_version']['m_baseBuild']

try:
	con = mdb.connect('flyrev.org', 'wingjon3_bench', '2L,$Iu{G]qxE', 'wingjon3_sc2benchmarks')
	cur = con.cursor()
	cur.execute("SELECT VERSION()")

	ver = cur.fetchone()
	
	print "Database version : %s " % ver

	for player in [1,2]:
		units = defaultdict(int)
		upgrades = defaultdict(bool)

		contents = archive.read_file('replay.tracker.events')
		for event in decode_replay_tracker_events(contents):
			if event.get('_event', '') == 'NNet.Replay.Tracker.SUnitBornEvent':
				print event

except mdb.Error, e:
	print "Error %d: %s" % (e.args[0],e.args[1])
	sys.exit(1)
	
finally:    
	if con:    
		con.close()