from django import forms

class CreateAccountForm(forms.Form):
    first_name = forms.CharField()
    last_name = forms.CharField()
    email = forms.CharField()
    password = forms.CharField(widget=forms.PasswordInput)
    
class LoginForm(forms.Form):
    username = forms.CharField()
    password = forms.CharField(widget=forms.PasswordInput)

class AddBNetAccountForm(forms.Form):
    replayFile = forms.FileField()

class AddTeamForm(forms.Form):
    replayFile = forms.FileField()

