from collections import defaultdict

from replayparsing import *
from replayfolder import *

os.environ['DJANGO_SETTINGS_MODULE'] = 'replay.settings'

from utilities.WorkerCounter import *
from utilities.WinsAgainstLeagueCounter import *
from utilities.ReplayCruncher import *

from stats.models import WorkersCreated

from account.models import BattleNetAccount

#collection = ReplayCollection("/home/replays/uploaded",limit=1)

from pprint import pprint


folder = ReplayFolder("/home/replays/Multiplayer/")

winstats = defaultdict(int)

cruncher = ReplayCruncher()

for replayFile in folder.replayFiles:
    try:
        replay = Replay(replayFile)
        if not replay.valid:
            continue

        print "Copying",replayFile

        import shutil
        shutil.copyfile(replayFile, '/home/replays/uploaded/' + replay.hash + '.SC2Replay')

    except KeyError:
        continue

