def pad(seconds):
    if seconds < 10:
        return "0" + str(seconds)
    return str(seconds)

class FrameTimeContinuum:
    def __init__(self):
        pass

    def frameToSeconds(self,frame):
        frame = int(frame)

        return frame/16

    def frameToTime(self,frame):
        frame = int(frame)

        seconds = frame/16
        minutes = seconds/60
        seconds %= 60

        result = str(minutes) + ':' + str(pad(seconds))
        
        return result

    def timeToFrame(self,time):
        arr = time.split(':')

        if len(arr) == 1:
            return int(arr[0])*60*16

        result = int(arr[0])*60*16 + int(arr[1])*16
        return result
        


